gnome-mag: GNOME_Magnifier-stubs.c File Reference

# GNOME_Magnifier-stubs.c File Reference

`#include <string.h>`
`#include "GNOME_Magnifier.h"`

Go to the source code of this file.

## Defines
#define | ORBIT2_STUBS_API
## Functions
void | Bonobo_Listener_event (Bonobo_Listener _obj, const CORBA_char *event_name, const CORBA_any *args, CORBA_Environment *ev)
void | Bonobo_Listener_unImplemented (Bonobo_Listener _obj, CORBA_Environment *ev)
void | Bonobo_Listener_unImplemented2 (Bonobo_Listener _obj, CORBA_Environment *ev)
void | Bonobo_EventSource_addListener (Bonobo_EventSource _obj, const Bonobo_Listener l, CORBA_Environment *ev)
void | Bonobo_EventSource_addListenerWithMask (Bonobo_EventSource _obj, const Bonobo_Listener l, const CORBA_char *event_mask, CORBA_Environment *ev)
void | Bonobo_EventSource_removeListener (Bonobo_EventSource _obj, const Bonobo_Listener l, CORBA_Environment *ev)
void | Bonobo_EventSource_unImplemented (Bonobo_EventSource _obj, CORBA_Environment *ev)
void | Bonobo_EventSource_unImplemented2 (Bonobo_EventSource _obj, CORBA_Environment *ev)
Bonobo_KeyList * | Bonobo_PropertyBag_getKeys (Bonobo_PropertyBag _obj, const CORBA_char *filter, CORBA_Environment *ev)
CORBA_TypeCode | Bonobo_PropertyBag_getType (Bonobo_PropertyBag _obj, const CORBA_char *key, CORBA_Environment *ev)
CORBA_any * | Bonobo_PropertyBag_getValue (Bonobo_PropertyBag _obj, const CORBA_char *key, CORBA_Environment *ev)
void | Bonobo_PropertyBag_setValue (Bonobo_PropertyBag _obj, const CORBA_char *key, const CORBA_any *value, CORBA_Environment *ev)
Bonobo_PropertySet * | Bonobo_PropertyBag_getValues (Bonobo_PropertyBag _obj, const CORBA_char *filter, CORBA_Environment *ev)
void | Bonobo_PropertyBag_setValues (Bonobo_PropertyBag _obj, const Bonobo_PropertySet *set, CORBA_Environment *ev)
CORBA_any * | Bonobo_PropertyBag_getDefault (Bonobo_PropertyBag _obj, const CORBA_char *key, CORBA_Environment *ev)
CORBA_string | Bonobo_PropertyBag_getDocTitle (Bonobo_PropertyBag _obj, const CORBA_char *key, CORBA_Environment *ev)
CORBA_string | Bonobo_PropertyBag_getDoc (Bonobo_PropertyBag _obj, const CORBA_char *key, CORBA_Environment *ev)
Bonobo_PropertyFlags | Bonobo_PropertyBag_getFlags (Bonobo_PropertyBag _obj, const CORBA_char *key, CORBA_Environment *ev)
void | Bonobo_PropertyBag_unImplemented1 (Bonobo_PropertyBag _obj, CORBA_Environment *ev)
void | Bonobo_PropertyBag_unImplemented2 (Bonobo_PropertyBag _obj, CORBA_Environment *ev)
void | Bonobo_PropertyBag_unImplemented3 (Bonobo_PropertyBag _obj, CORBA_Environment *ev)
void | Bonobo_PropertyBag_unImplemented4 (Bonobo_PropertyBag _obj, CORBA_Environment *ev)
CORBA_boolean | Bonobo_ConfigDatabase__get_isWriteable (Bonobo_ConfigDatabase _obj, CORBA_Environment *ev)
Bonobo_KeyList * | Bonobo_ConfigDatabase_getDirs (Bonobo_ConfigDatabase _obj, const CORBA_char *dir, CORBA_Environment *ev)
CORBA_boolean | Bonobo_ConfigDatabase_hasDir (Bonobo_ConfigDatabase _obj, const CORBA_char *dir, CORBA_Environment *ev)
void | Bonobo_ConfigDatabase_removeValue (Bonobo_ConfigDatabase _obj, const CORBA_char *key, CORBA_Environment *ev)
void | Bonobo_ConfigDatabase_removeDir (Bonobo_ConfigDatabase _obj, const CORBA_char *dir, CORBA_Environment *ev)
void | Bonobo_ConfigDatabase_addDatabase (Bonobo_ConfigDatabase _obj, const Bonobo_ConfigDatabase db, const CORBA_char *key, const Bonobo_ConfigDatabase_DBFlags flags, CORBA_Environment *ev)
void | Bonobo_ConfigDatabase_sync (Bonobo_ConfigDatabase _obj, CORBA_Environment *ev)
void | Bonobo_ConfigDatabase_unImplemented5 (Bonobo_ConfigDatabase _obj, CORBA_Environment *ev)
void | Bonobo_ConfigDatabase_unImplemented6 (Bonobo_ConfigDatabase _obj, CORBA_Environment *ev)
void | Bonobo_ConfigDatabase_unImplemented7 (Bonobo_ConfigDatabase _obj, CORBA_Environment *ev)
void | Bonobo_ConfigDatabase_unImplemented8 (Bonobo_ConfigDatabase _obj, CORBA_Environment *ev)
CORBA_boolean | GNOME_Magnifier_ZoomRegion_setMagFactor (GNOME_Magnifier_ZoomRegion _obj, const CORBA_float magX, const CORBA_float magY, CORBA_Environment *ev)
void | GNOME_Magnifier_ZoomRegion_getMagFactor (GNOME_Magnifier_ZoomRegion _obj, CORBA_float *magX, CORBA_float *magY, CORBA_Environment *ev)
Bonobo_PropertyBag | GNOME_Magnifier_ZoomRegion_getProperties (GNOME_Magnifier_ZoomRegion _obj, CORBA_Environment *ev)
void | GNOME_Magnifier_ZoomRegion_setROI (GNOME_Magnifier_ZoomRegion _obj, const GNOME_Magnifier_RectBounds *bounds, CORBA_Environment *ev)
void | GNOME_Magnifier_ZoomRegion_updatePointer (GNOME_Magnifier_ZoomRegion _obj, CORBA_Environment *ev)
void | GNOME_Magnifier_ZoomRegion_markDirty (GNOME_Magnifier_ZoomRegion _obj, const GNOME_Magnifier_RectBounds *dirtyRegion, CORBA_Environment *ev)
GNOME_Magnifier_RectBounds | GNOME_Magnifier_ZoomRegion_getROI (GNOME_Magnifier_ZoomRegion _obj, CORBA_Environment *ev)
void | GNOME_Magnifier_ZoomRegion_moveResize (GNOME_Magnifier_ZoomRegion _obj, const GNOME_Magnifier_RectBounds *bounds, CORBA_Environment *ev)
void | GNOME_Magnifier_ZoomRegion_dispose (GNOME_Magnifier_ZoomRegion _obj, CORBA_Environment *ev)
void | GNOME_Magnifier_ZoomRegion_setPointerPos (GNOME_Magnifier_ZoomRegion _obj, const CORBA_long mouse_x, const CORBA_long mouse_y, CORBA_Environment *ev)
void | GNOME_Magnifier_ZoomRegion_setContrast (GNOME_Magnifier_ZoomRegion _obj, const CORBA_float R, const CORBA_float G, const CORBA_float B, CORBA_Environment *ev)
void | GNOME_Magnifier_ZoomRegion_getContrast (GNOME_Magnifier_ZoomRegion _obj, CORBA_float *R, CORBA_float *G, CORBA_float *B, CORBA_Environment *ev)
void | GNOME_Magnifier_ZoomRegion_setBrightness (GNOME_Magnifier_ZoomRegion _obj, const CORBA_float R, const CORBA_float G, const CORBA_float B, CORBA_Environment *ev)
void | GNOME_Magnifier_ZoomRegion_getBrightness (GNOME_Magnifier_ZoomRegion _obj, CORBA_float *R, CORBA_float *G, CORBA_float *B, CORBA_Environment *ev)
CORBA_string | GNOME_Magnifier_Magnifier__get_SourceDisplay (GNOME_Magnifier_Magnifier _obj, CORBA_Environment *ev)
void | GNOME_Magnifier_Magnifier__set_SourceDisplay (GNOME_Magnifier_Magnifier _obj, const CORBA_char *value, CORBA_Environment *ev)
CORBA_string | GNOME_Magnifier_Magnifier__get_TargetDisplay (GNOME_Magnifier_Magnifier _obj, CORBA_Environment *ev)
void | GNOME_Magnifier_Magnifier__set_TargetDisplay (GNOME_Magnifier_Magnifier _obj, const CORBA_char *value, CORBA_Environment *ev)
Bonobo_PropertyBag | GNOME_Magnifier_Magnifier_getProperties (GNOME_Magnifier_Magnifier _obj, CORBA_Environment *ev)
CORBA_boolean | GNOME_Magnifier_Magnifier_fullScreenCapable (GNOME_Magnifier_Magnifier _obj, CORBA_Environment *ev)
void | GNOME_Magnifier_Magnifier_hideCursor (GNOME_Magnifier_Magnifier _obj, CORBA_Environment *ev)
void | GNOME_Magnifier_Magnifier_showCursor (GNOME_Magnifier_Magnifier _obj, CORBA_Environment *ev)
CORBA_boolean | GNOME_Magnifier_Magnifier_supportColorblindFilters (GNOME_Magnifier_Magnifier _obj, CORBA_Environment *ev)
GNOME_Magnifier_ZoomRegion | GNOME_Magnifier_Magnifier_createZoomRegion (GNOME_Magnifier_Magnifier _obj, const CORBA_float zx, const CORBA_float zy, const GNOME_Magnifier_RectBounds *ROI, const GNOME_Magnifier_RectBounds *viewport, CORBA_Environment *ev)
GNOME_Magnifier_ZoomRegionList * | GNOME_Magnifier_Magnifier_getZoomRegions (GNOME_Magnifier_Magnifier _obj, CORBA_Environment *ev)
CORBA_boolean | GNOME_Magnifier_Magnifier_addZoomRegion (GNOME_Magnifier_Magnifier _obj, const GNOME_Magnifier_ZoomRegion region, CORBA_Environment *ev)
void | GNOME_Magnifier_Magnifier_clearAllZoomRegions (GNOME_Magnifier_Magnifier _obj, CORBA_Environment *ev)
void | GNOME_Magnifier_Magnifier_dispose (GNOME_Magnifier_Magnifier _obj, CORBA_Environment *ev)

## Define Documentation

#define ORBIT2_STUBS_API

Definition at line 6 of file GNOME_Magnifier-stubs.c.

## Function Documentation

void Bonobo_Listener_event | ( | Bonobo_Listener | _obj,
|  | const CORBA_char * | event_name,
|  | const CORBA_any * | args,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 9 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_Bonobo_Listener_event(), Bonobo_Listener__classid, and Bonobo_Listener__iinterface.

void Bonobo_Listener_unImplemented | ( | Bonobo_Listener | _obj,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 17 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_Bonobo_Listener_unImplemented(), Bonobo_Listener__classid, and Bonobo_Listener__iinterface.

void Bonobo_Listener_unImplemented2 | ( | Bonobo_Listener | _obj,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 22 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_Bonobo_Listener_unImplemented2(), Bonobo_Listener__classid, and Bonobo_Listener__iinterface.

void Bonobo_EventSource_addListener | ( | Bonobo_EventSource | _obj,
|  | const Bonobo_Listener | l,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 27 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_Bonobo_EventSource_addListener(), Bonobo_EventSource__classid, and Bonobo_EventSource__iinterface.

void Bonobo_EventSource_addListenerWithMask | ( | Bonobo_EventSource | _obj,
|  | const Bonobo_Listener | l,
|  | const CORBA_char * | event_mask,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 34 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_Bonobo_EventSource_addListenerWithMask(), Bonobo_EventSource__classid, and Bonobo_EventSource__iinterface.

void Bonobo_EventSource_removeListener | ( | Bonobo_EventSource | _obj,
|  | const Bonobo_Listener | l,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 42 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_Bonobo_EventSource_removeListener(), Bonobo_EventSource__classid, and Bonobo_EventSource__iinterface.

void Bonobo_EventSource_unImplemented | ( | Bonobo_EventSource | _obj,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 49 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_Bonobo_EventSource_unImplemented(), Bonobo_EventSource__classid, and Bonobo_EventSource__iinterface.

void Bonobo_EventSource_unImplemented2 | ( | Bonobo_EventSource | _obj,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 54 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_Bonobo_EventSource_unImplemented2(), Bonobo_EventSource__classid, and Bonobo_EventSource__iinterface.

Bonobo_KeyList* Bonobo_PropertyBag_getKeys | ( | Bonobo_PropertyBag | _obj,
|  | const CORBA_char * | filter,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 59 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_Bonobo_PropertyBag_getKeys(), Bonobo_PropertyBag__classid, and Bonobo_PropertyBag__iinterface.

CORBA_TypeCode Bonobo_PropertyBag_getType | ( | Bonobo_PropertyBag | _obj,
|  | const CORBA_char * | key,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 68 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_Bonobo_PropertyBag_getType(), Bonobo_PropertyBag__classid, and Bonobo_PropertyBag__iinterface.

CORBA_any* Bonobo_PropertyBag_getValue | ( | Bonobo_PropertyBag | _obj,
|  | const CORBA_char * | key,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 77 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_Bonobo_PropertyBag_getValue(), Bonobo_PropertyBag__classid, and Bonobo_PropertyBag__iinterface.

Referenced by impl_zoom_region_set_mag_factor(), magnifier_main_refresh_all(), and zoom_region_set_viewport().

void Bonobo_PropertyBag_setValue | ( | Bonobo_PropertyBag | _obj,
|  | const CORBA_char * | key,
|  | const CORBA_any * | value,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 86 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_Bonobo_PropertyBag_setValue(), Bonobo_PropertyBag__classid, and Bonobo_PropertyBag__iinterface.

Referenced by impl_magnifier_create_zoom_region().

Bonobo_PropertySet* Bonobo_PropertyBag_getValues | ( | Bonobo_PropertyBag | _obj,
|  | const CORBA_char * | filter,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 94 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_Bonobo_PropertyBag_getValues(), Bonobo_PropertyBag__classid, and Bonobo_PropertyBag__iinterface.

void Bonobo_PropertyBag_setValues | ( | Bonobo_PropertyBag | _obj,
|  | const Bonobo_PropertySet * | set,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 103 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_Bonobo_PropertyBag_setValues(), Bonobo_PropertyBag__classid, and Bonobo_PropertyBag__iinterface.

CORBA_any* Bonobo_PropertyBag_getDefault | ( | Bonobo_PropertyBag | _obj,
|  | const CORBA_char * | key,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 110 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_Bonobo_PropertyBag_getDefault(), Bonobo_PropertyBag__classid, and Bonobo_PropertyBag__iinterface.

CORBA_string Bonobo_PropertyBag_getDocTitle | ( | Bonobo_PropertyBag | _obj,
|  | const CORBA_char * | key,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 119 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_Bonobo_PropertyBag_getDocTitle(), Bonobo_PropertyBag__classid, and Bonobo_PropertyBag__iinterface.

CORBA_string Bonobo_PropertyBag_getDoc | ( | Bonobo_PropertyBag | _obj,
|  | const CORBA_char * | key,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 128 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_Bonobo_PropertyBag_getDoc(), Bonobo_PropertyBag__classid, and Bonobo_PropertyBag__iinterface.

Bonobo_PropertyFlags Bonobo_PropertyBag_getFlags | ( | Bonobo_PropertyBag | _obj,
|  | const CORBA_char * | key,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 137 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_Bonobo_PropertyBag_getFlags(), Bonobo_PropertyBag__classid, and Bonobo_PropertyBag__iinterface.

void Bonobo_PropertyBag_unImplemented1 | ( | Bonobo_PropertyBag | _obj,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 146 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_Bonobo_PropertyBag_unImplemented1(), Bonobo_PropertyBag__classid, and Bonobo_PropertyBag__iinterface.

void Bonobo_PropertyBag_unImplemented2 | ( | Bonobo_PropertyBag | _obj,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 151 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_Bonobo_PropertyBag_unImplemented2(), Bonobo_PropertyBag__classid, and Bonobo_PropertyBag__iinterface.

void Bonobo_PropertyBag_unImplemented3 | ( | Bonobo_PropertyBag | _obj,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 156 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_Bonobo_PropertyBag_unImplemented3(), Bonobo_PropertyBag__classid, and Bonobo_PropertyBag__iinterface.

void Bonobo_PropertyBag_unImplemented4 | ( | Bonobo_PropertyBag | _obj,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 161 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_Bonobo_PropertyBag_unImplemented4(), Bonobo_PropertyBag__classid, and Bonobo_PropertyBag__iinterface.

CORBA_boolean Bonobo_ConfigDatabase__get_isWriteable | ( | Bonobo_ConfigDatabase | _obj,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 166 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_Bonobo_ConfigDatabase__get_isWriteable(), Bonobo_ConfigDatabase__classid, and Bonobo_ConfigDatabase__iinterface.

Bonobo_KeyList* Bonobo_ConfigDatabase_getDirs | ( | Bonobo_ConfigDatabase | _obj,
|  | const CORBA_char * | dir,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 173 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_Bonobo_ConfigDatabase_getDirs(), Bonobo_ConfigDatabase__classid, and Bonobo_ConfigDatabase__iinterface.

CORBA_boolean Bonobo_ConfigDatabase_hasDir | ( | Bonobo_ConfigDatabase | _obj,
|  | const CORBA_char * | dir,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 182 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_Bonobo_ConfigDatabase_hasDir(), Bonobo_ConfigDatabase__classid, and Bonobo_ConfigDatabase__iinterface.

void Bonobo_ConfigDatabase_removeValue | ( | Bonobo_ConfigDatabase | _obj,
|  | const CORBA_char * | key,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 191 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_Bonobo_ConfigDatabase_removeValue(), Bonobo_ConfigDatabase__classid, and Bonobo_ConfigDatabase__iinterface.

void Bonobo_ConfigDatabase_removeDir | ( | Bonobo_ConfigDatabase | _obj,
|  | const CORBA_char * | dir,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 198 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_Bonobo_ConfigDatabase_removeDir(), Bonobo_ConfigDatabase__classid, and Bonobo_ConfigDatabase__iinterface.

void Bonobo_ConfigDatabase_addDatabase | ( | Bonobo_ConfigDatabase | _obj,
|  | const Bonobo_ConfigDatabase | db,
|  | const CORBA_char * | key,
|  | const Bonobo_ConfigDatabase_DBFlags | flags,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 205 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_Bonobo_ConfigDatabase_addDatabase(), Bonobo_ConfigDatabase__classid, and Bonobo_ConfigDatabase__iinterface.

void Bonobo_ConfigDatabase_sync | ( | Bonobo_ConfigDatabase | _obj,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 214 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_Bonobo_ConfigDatabase_sync(), Bonobo_ConfigDatabase__classid, and Bonobo_ConfigDatabase__iinterface.

void Bonobo_ConfigDatabase_unImplemented5 | ( | Bonobo_ConfigDatabase | _obj,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 219 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_Bonobo_ConfigDatabase_unImplemented5(), Bonobo_ConfigDatabase__classid, and Bonobo_ConfigDatabase__iinterface.

void Bonobo_ConfigDatabase_unImplemented6 | ( | Bonobo_ConfigDatabase | _obj,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 224 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_Bonobo_ConfigDatabase_unImplemented6(), Bonobo_ConfigDatabase__classid, and Bonobo_ConfigDatabase__iinterface.

void Bonobo_ConfigDatabase_unImplemented7 | ( | Bonobo_ConfigDatabase | _obj,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 229 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_Bonobo_ConfigDatabase_unImplemented7(), Bonobo_ConfigDatabase__classid, and Bonobo_ConfigDatabase__iinterface.

void Bonobo_ConfigDatabase_unImplemented8 | ( | Bonobo_ConfigDatabase | _obj,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 234 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_Bonobo_ConfigDatabase_unImplemented8(), Bonobo_ConfigDatabase__classid, and Bonobo_ConfigDatabase__iinterface.

CORBA_boolean GNOME_Magnifier_ZoomRegion_setMagFactor | ( | GNOME_Magnifier_ZoomRegion | _obj,
|  | const CORBA_float | magX,
|  | const CORBA_float | magY,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 239 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_GNOME_Magnifier_ZoomRegion_setMagFactor(), GNOME_Magnifier_ZoomRegion__classid, and GNOME_Magnifier_ZoomRegion__iinterface.

Referenced by impl_magnifier_create_zoom_region().

void GNOME_Magnifier_ZoomRegion_getMagFactor | ( | GNOME_Magnifier_ZoomRegion | _obj,
|  | CORBA_float * | magX,
|  | CORBA_float * | magY,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 249 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_GNOME_Magnifier_ZoomRegion_getMagFactor(), GNOME_Magnifier_ZoomRegion__classid, and GNOME_Magnifier_ZoomRegion__iinterface.

Bonobo_PropertyBag GNOME_Magnifier_ZoomRegion_getProperties | ( | GNOME_Magnifier_ZoomRegion | _obj,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 257 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_GNOME_Magnifier_ZoomRegion_getProperties(), GNOME_Magnifier_ZoomRegion__classid, and GNOME_Magnifier_ZoomRegion__iinterface.

Referenced by impl_magnifier_create_zoom_region(), magnifier_main_test_image(), magnifier_zoom_regions_restore(), magnifier_zoom_regions_save(), and main().

void GNOME_Magnifier_ZoomRegion_setROI | ( | GNOME_Magnifier_ZoomRegion | _obj,
|  | const GNOME_Magnifier_RectBounds * | bounds,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 264 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_GNOME_Magnifier_ZoomRegion_setROI(), GNOME_Magnifier_ZoomRegion__classid, and GNOME_Magnifier_ZoomRegion__iinterface.

Referenced by impl_magnifier_create_zoom_region(), magnifier_main_pan_image(), magnifier_main_test_image(), main(), and zoom_region_pan_test().

void GNOME_Magnifier_ZoomRegion_updatePointer | ( | GNOME_Magnifier_ZoomRegion | _obj,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 271 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_GNOME_Magnifier_ZoomRegion_updatePointer(), GNOME_Magnifier_ZoomRegion__classid, and GNOME_Magnifier_ZoomRegion__iinterface.

Referenced by magnifier_zoom_regions_update_pointer().

void GNOME_Magnifier_ZoomRegion_markDirty | ( | GNOME_Magnifier_ZoomRegion | _obj,
|  | const GNOME_Magnifier_RectBounds * | dirtyRegion,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 276 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_GNOME_Magnifier_ZoomRegion_markDirty(), GNOME_Magnifier_ZoomRegion__classid, and GNOME_Magnifier_ZoomRegion__iinterface.

Referenced by magnifier_main_refresh_all(), and magnifier_zoom_regions_mark_dirty().

GNOME_Magnifier_RectBounds GNOME_Magnifier_ZoomRegion_getROI | ( | GNOME_Magnifier_ZoomRegion | _obj,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 283 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_GNOME_Magnifier_ZoomRegion_getROI(), GNOME_Magnifier_ZoomRegion__classid, and GNOME_Magnifier_ZoomRegion__iinterface.

Referenced by magnifier_zoom_regions_save().

void GNOME_Magnifier_ZoomRegion_moveResize | ( | GNOME_Magnifier_ZoomRegion | _obj,
|  | const GNOME_Magnifier_RectBounds * | bounds,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 290 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_GNOME_Magnifier_ZoomRegion_moveResize(), GNOME_Magnifier_ZoomRegion__classid, and GNOME_Magnifier_ZoomRegion__iinterface.

void GNOME_Magnifier_ZoomRegion_dispose | ( | GNOME_Magnifier_ZoomRegion | _obj,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 297 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_GNOME_Magnifier_ZoomRegion_dispose(), GNOME_Magnifier_ZoomRegion__classid, and GNOME_Magnifier_ZoomRegion__iinterface.

Referenced by magnifier_unref_zoom_region().

void GNOME_Magnifier_ZoomRegion_setPointerPos | ( | GNOME_Magnifier_ZoomRegion | _obj,
|  | const CORBA_long | mouse_x,
|  | const CORBA_long | mouse_y,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 302 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_GNOME_Magnifier_ZoomRegion_setPointerPos(), GNOME_Magnifier_ZoomRegion__classid, and GNOME_Magnifier_ZoomRegion__iinterface.

void GNOME_Magnifier_ZoomRegion_setContrast | ( | GNOME_Magnifier_ZoomRegion | _obj,
|  | const CORBA_float | R,
|  | const CORBA_float | G,
|  | const CORBA_float | B,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 310 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_GNOME_Magnifier_ZoomRegion_setContrast(), GNOME_Magnifier_ZoomRegion__classid, and GNOME_Magnifier_ZoomRegion__iinterface.

void GNOME_Magnifier_ZoomRegion_getContrast | ( | GNOME_Magnifier_ZoomRegion | _obj,
|  | CORBA_float * | R,
|  | CORBA_float * | G,
|  | CORBA_float * | B,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 319 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_GNOME_Magnifier_ZoomRegion_getContrast(), GNOME_Magnifier_ZoomRegion__classid, and GNOME_Magnifier_ZoomRegion__iinterface.

void GNOME_Magnifier_ZoomRegion_setBrightness | ( | GNOME_Magnifier_ZoomRegion | _obj,
|  | const CORBA_float | R,
|  | const CORBA_float | G,
|  | const CORBA_float | B,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 328 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_GNOME_Magnifier_ZoomRegion_setBrightness(), GNOME_Magnifier_ZoomRegion__classid, and GNOME_Magnifier_ZoomRegion__iinterface.

void GNOME_Magnifier_ZoomRegion_getBrightness | ( | GNOME_Magnifier_ZoomRegion | _obj,
|  | CORBA_float * | R,
|  | CORBA_float * | G,
|  | CORBA_float * | B,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 337 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_GNOME_Magnifier_ZoomRegion_getBrightness(), GNOME_Magnifier_ZoomRegion__classid, and GNOME_Magnifier_ZoomRegion__iinterface.

CORBA_string GNOME_Magnifier_Magnifier__get_SourceDisplay | ( | GNOME_Magnifier_Magnifier | _obj,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 346 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_GNOME_Magnifier_Magnifier__get_SourceDisplay(), GNOME_Magnifier_Magnifier__classid, and GNOME_Magnifier_Magnifier__iinterface.

void GNOME_Magnifier_Magnifier__set_SourceDisplay | ( | GNOME_Magnifier_Magnifier | _obj,
|  | const CORBA_char * | value,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 353 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_GNOME_Magnifier_Magnifier__set_SourceDisplay(), GNOME_Magnifier_Magnifier__classid, and GNOME_Magnifier_Magnifier__iinterface.

CORBA_string GNOME_Magnifier_Magnifier__get_TargetDisplay | ( | GNOME_Magnifier_Magnifier | _obj,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 360 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_GNOME_Magnifier_Magnifier__get_TargetDisplay(), GNOME_Magnifier_Magnifier__classid, and GNOME_Magnifier_Magnifier__iinterface.

void GNOME_Magnifier_Magnifier__set_TargetDisplay | ( | GNOME_Magnifier_Magnifier | _obj,
|  | const CORBA_char * | value,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 367 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_GNOME_Magnifier_Magnifier__set_TargetDisplay(), GNOME_Magnifier_Magnifier__classid, and GNOME_Magnifier_Magnifier__iinterface.

Bonobo_PropertyBag GNOME_Magnifier_Magnifier_getProperties | ( | GNOME_Magnifier_Magnifier | _obj,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 374 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_GNOME_Magnifier_Magnifier_getProperties(), GNOME_Magnifier_Magnifier__classid, and GNOME_Magnifier_Magnifier__iinterface.

Referenced by impl_zoom_region_set_mag_factor(), magnifier_main_refresh_all(), main(), and zoom_region_set_viewport().

CORBA_boolean GNOME_Magnifier_Magnifier_fullScreenCapable | ( | GNOME_Magnifier_Magnifier | _obj,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 381 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_GNOME_Magnifier_Magnifier_fullScreenCapable(), GNOME_Magnifier_Magnifier__classid, and GNOME_Magnifier_Magnifier__iinterface.

void GNOME_Magnifier_Magnifier_hideCursor | ( | GNOME_Magnifier_Magnifier | _obj,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 388 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_GNOME_Magnifier_Magnifier_hideCursor(), GNOME_Magnifier_Magnifier__classid, and GNOME_Magnifier_Magnifier__iinterface.

void GNOME_Magnifier_Magnifier_showCursor | ( | GNOME_Magnifier_Magnifier | _obj,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 393 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_GNOME_Magnifier_Magnifier_showCursor(), GNOME_Magnifier_Magnifier__classid, and GNOME_Magnifier_Magnifier__iinterface.

CORBA_boolean GNOME_Magnifier_Magnifier_supportColorblindFilters | ( | GNOME_Magnifier_Magnifier | _obj,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 398 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_GNOME_Magnifier_Magnifier_supportColorblindFilters(), GNOME_Magnifier_Magnifier__classid, and GNOME_Magnifier_Magnifier__iinterface.

GNOME_Magnifier_ZoomRegion GNOME_Magnifier_Magnifier_createZoomRegion | ( | GNOME_Magnifier_Magnifier | _obj,
|  | const CORBA_float | zx,
|  | const CORBA_float | zy,
|  | const GNOME_Magnifier_RectBounds * | ROI,
|  | const GNOME_Magnifier_RectBounds * | viewport,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 405 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_GNOME_Magnifier_Magnifier_createZoomRegion(), GNOME_Magnifier_Magnifier__classid, and GNOME_Magnifier_Magnifier__iinterface.

Referenced by magnifier_zoom_regions_restore(), and main().

GNOME_Magnifier_ZoomRegionList* GNOME_Magnifier_Magnifier_getZoomRegions | ( | GNOME_Magnifier_Magnifier | _obj,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 417 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_GNOME_Magnifier_Magnifier_getZoomRegions(), GNOME_Magnifier_Magnifier__classid, and GNOME_Magnifier_Magnifier__iinterface.

Referenced by magnifier_main_pan_image(), magnifier_main_refresh_all(), magnifier_main_test_image(), main(), and zoom_region_pan_test().

CORBA_boolean GNOME_Magnifier_Magnifier_addZoomRegion | ( | GNOME_Magnifier_Magnifier | _obj,
|  | const GNOME_Magnifier_ZoomRegion | region,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 424 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_GNOME_Magnifier_Magnifier_addZoomRegion(), GNOME_Magnifier_Magnifier__classid, and GNOME_Magnifier_Magnifier__iinterface.

Referenced by magnifier_zoom_regions_restore(), and main().

void GNOME_Magnifier_Magnifier_clearAllZoomRegions | ( | GNOME_Magnifier_Magnifier | _obj,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 433 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_GNOME_Magnifier_Magnifier_clearAllZoomRegions(), GNOME_Magnifier_Magnifier__classid, and GNOME_Magnifier_Magnifier__iinterface.

void GNOME_Magnifier_Magnifier_dispose | ( | GNOME_Magnifier_Magnifier | _obj,
|  | CORBA_Environment * | ev |
| ) |  |  |

Definition at line 438 of file GNOME_Magnifier-stubs.c.

References _ORBIT_skel_small_GNOME_Magnifier_Magnifier_dispose(), GNOME_Magnifier_Magnifier__classid, and GNOME_Magnifier_Magnifier__iinterface.